org.codehaus.plexus.interpolation.fixed

## Class EnvarBasedValueSource

- java.lang.Object
- - org.codehaus.plexus.interpolation.fixed.EnvarBasedValueSource

All Implemented Interfaces:
  FixedValueSource

    public class EnvarBasedValueSource
    extends Object
    implements FixedValueSource

`ValueSource` which resolves expressions against the environment variables available from the underlying operating system (and possibly, the shell environment that created the present Java process). If the expression starts with 'env.', this prefix is trimmed before resolving the rest as an environment variable name.

Version:
  $Id$

### Constructor Summary

Constructors
Constructor and Description
`EnvarBasedValueSource()` Create a new value source for interpolation based on shell environment variables.
`EnvarBasedValueSource(boolean caseSensitive)` Create a new value source for interpolation based on shell environment variables.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getValue(String expression, InterpolationState interpolationState)` If the expression starts with 'env.' then trim this prefix.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvarBasedValueSource

    public EnvarBasedValueSource()
                          throws IOException

Create a new value source for interpolation based on shell environment variables. In this case, envar keys ARE CASE SENSITIVE.

Throws:
  `IOException`

#### EnvarBasedValueSource

    public EnvarBasedValueSource(boolean caseSensitive)
                          throws IOException

Create a new value source for interpolation based on shell environment variables.

Parameters:
  `caseSensitive` - Whether the environment variable key should be treated in a case-sensitive manner for lookups
Throws:
  `IOException`

### Method Detail

#### getValue

    public Object getValue(String expression,
                           InterpolationState interpolationState)

If the expression starts with 'env.' then trim this prefix. Next, resolve the (possibly trimmed) expression as an environment variable name against the collection of environment variables that were read from the operating system when this `ValueSource` instance was created.

Specified by:
  `getValue` in interface `FixedValueSource`
Parameters:
  `expression` - envar expression, like 'HOME' or 'env.HOME'
Returns:
  the environment variable value for the given expression